Linux使用yum出错提示thread.error can't start new thread


Warning: Use of undefined constant g_prettify_esc_callback - assumed 'g_prettify_esc_callback' (this will throw an Error in a future version of PHP) in /home/wwwroot/dbci/wp-content/plugins/g-prettify/prettify.php on line 19

今天vpsma在安装一键lnmp包时候,安装到一半出现了:"thread.error: can't start new thread"的错误,导致没有安装成功,气死了!
  搜索了下:thread.error: can't start new thread的解决办法:

  解决办法,禁用fastestmirror,将fastestmirror.conf中的enabled=1改成enabled=0

  登陆SSH,编辑下: /etc/yum/pluginconf.d/fastestmirror.conf

vi /etc/yum/pluginconf.d/fastestmirror.conf

把enabled=1改成enabled=0

[main]
enabled=0
verbose=0
socket_timeout=3
hostfilepath=/var/cache/yum/timedhosts.txt
maxhostfileage=10
maxthreads=15
#exclude=.gov, facebook

 再次运行就正常了

点赞